Subject: Re: [RFC][PATCH] ns: Syscalls for better namespace sharing control.

From: "Serge E. Hallyn" <[email-masked]>
Date: Mon, 8 Mar 2010 15:49:45 -0600

Quoting Eric W. Biederman ([email-masked]):
> Daniel Lezcano <[email-masked]> writes:
> I guess my meaning is I was expecting.
> child = fork();
> if (child == 0) {
> 	execve(...);
> }
> waitpid(child);
> 
> This puts /bin/sh in the container as well.
> 
> I'm not certain about the /proc/self thing I have never encountered that.
> But I guess if your pid is outside of the pid namespace of that instance
> of proc /proc/self will be a broken symlink.
> 
> Eric

Hmm, worse than a broken symlink, will it be a wrong symlink if just
the right pid is created in the container?

-serge